#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include <errno.h>
#include <fcntl.h>
#include <io.h>
#include <stdio.h>
#include <sys/locking.h>
#include <sys/types.h>

#define CONST_DEF(xxx) if (strEQ(name, #xxx ))   \
                        return xxx

static char buffer[1];         /* small smothing stashed away */

#define sys_errno (*_errno())

static int
not_here(
CPerl *pPerl,
char *s)
{
    croak("%s not implemented on this architecture", s);
    return -1;
}

static double
constant(
CPerl *pPerl,
char *name,
int arg)
{
    errno = 0;
    switch (*name)
    {
    case 'E':
        break;
    case 'L':
        break;
    case 'S':
        break;
    case '_':
        break;
    }
    errno = EINVAL;
    return 0;

not_there:
    errno = ENOENT;
    return 0;
}


MODULE = Win32::file PACKAGE = Win32::file

char*
GetWindowsDiretory(void)
    CODE:
    {
        int ret;
        int length=GetWindowsDirectory(&buffer, 1); /* this will fail */
        New(0, RETVAL, length+1, char);         /* but returns size of buffer*/
        ret=GetWindowsDirectory(RETVAL, length);
        if(ret!=length)
        {   /* huh? */
            RETVAL[0]=0;
        }
    }
    OUTPUT:
    RETVAL





