#include <errno.h>
#include <io.h>
#include <windows.h>

char *filename="hello.lock";

int main(void)
{
    HANDLE file=CreateFile(filename, GENERIC_WRITE, FILE_SHARE_READ, NULL,
                            CREATE_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL);
    int pid=getpid();
    char pid_str[16];
    int len;
    DWORD out_len;

    if(0==file)
    {
        printf("Error opening file %s: %i\n", filename, GetLastError());
        return 1;
    }

    printf("Opened %s, hndl=%i\n", filename, file);

    sprintf(pid_str, "%i", pid);
    len=strlen(pid_str);
    if(write(file, pid_str, len)!=len)
    {
        printf("Unable to write() to file: %i\n", errno);
        if(!WriteFile(file, pid_str, len, &out_len, NULL) || out_len!=len)
        {
            printf("Error in WriteFile(): %i\n", GetLastError());
        }
    }

    CloseHandle(file);
/*    if(! DeleteFile(filename))
    {
        printf("Unable to delete %s: %i\n", filename, GetLastError());
    } */
    return 0;
}
